Hello and welcome to our community! Is this your first visit?
Register
Enjoy an ad free experience by logging in. Not a member yet? Register.
Results 1 to 3 of 3
  1. #1
    New Coder
    Join Date
    Mar 2010
    Posts
    31
    Thanks
    4
    Thanked 0 Times in 0 Posts

    mysql_connect(): Headers and client library minor version mismatch error

    Hello all... thanks in advance for your help.

    I changed servers recently (I use a VPS) and I installed my script software (live support). When I go to install the script after having already created the MySQL database, I get the following error message..:
    Code:
     Warning - mysql_connect(): Headers and client library minor version mismatch. Headers:50536 Library:50616 (./__swift/thirdparty/adodb5/drivers/adodb-mysql.inc.php:364)
    I tried researching on this issue online but have no clue what to do. I am not an expert or knowledgeable with this back end stuff and the person (my host) I tried contacting doesn't get back to me and I am forced to stay with him as I get unlimited number of emails allowed via the server. If any person can help me with this issue I would deeply and gratefully appreciate it. Thanks again.

  • #2
    Master Coder felgall's Avatar
    Join Date
    Sep 2005
    Location
    Sydney, Australia
    Posts
    6,620
    Thanks
    0
    Thanked 645 Times in 635 Posts
    The mysql_ interface has been deprecated for quite a while now and is going to be completely removed soon. It may be worth converting all the calls to use mysqli_ instead. That may fix the problem as you'd be using a different connect call.
    Stephen
    Learn Modern JavaScript - http://javascriptexample.net/
    Helping others to solve their computer problem at http://www.felgall.com/

    Don't forget to start your JavaScript code with "use strict"; which makes it easier to find errors in your code.

  • #3
    New Coder
    Join Date
    Mar 2010
    Posts
    31
    Thanks
    4
    Thanked 0 Times in 0 Posts
    Thanks so much! I solved the problem myself by running the install process for the latest version of MySQL and by recompiling PHP and Apache (all in WHM). Thanks.


  •  

    Posting Permissions

    • You may not post new threads
    • You may not post replies
    • You may not post attachments
    • You may not edit your posts
    •